cascading.pipe.joiner

## Class OuterJoin.JoinIterator

- java.lang.Object
- - cascading.pipe.joiner.InnerJoin.JoinIterator
  - - cascading.pipe.joiner.OuterJoin.JoinIterator

- All Implemented Interfaces:
    java.util.Iterator<Tuple>
  Direct Known Subclasses:
    LeftJoin.JoinIterator, MixedJoin.JoinIterator, RightJoin.JoinIterator
  Enclosing class:
    OuterJoin

      public static class OuterJoin.JoinIterator
      extends InnerJoin.JoinIterator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OuterJoin.JoinIterator(JoinerClosure closure)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Iterator` | `getIterator(int i)`
    `protected void` | `init()`
    `protected boolean` | `isOuter(int i)`

    - ### Methods inherited from class cascading.pipe.joiner.InnerJoin.JoinIterator

      `hasNext, next, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OuterJoin.JoinIterator

          public OuterJoin.JoinIterator(JoinerClosure closure)

  - ### Method Detail

    - #### init

          protected void init()

      Overrides:
        `init` in class `InnerJoin.JoinIterator`

    - #### isOuter

          protected boolean isOuter(int i)

    - #### getIterator

          protected java.util.Iterator getIterator(int i)

      Overrides:
        `getIterator` in class `InnerJoin.JoinIterator`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.